Copy PagegetNftsForContractget https://alchemy-sdk-core-example.com/{apiKey}/getNftsForContractGets all NFTs for a given NFT contract.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Path ParamsapiKeystringrequiredDefaults to docs-demo For higher throughput, create your own API keyQuery ParamscontractAddressstringrequiredDefaults to 0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13DString - Contract address for the NFT collection (ERC721 and ERC1155 supported).omitMetadatabooleanDefaults to falseBoolean - if set to false, returns NFT metadata. Setting this to true will reduce payload size and may result in a faster API call. Defaults to false.startTokenstringString - An offset used for pagination. Can be a hex string, or a decimal. Set to nextToken returned in the response to access the next page.limitintegerInteger - Sets the total number of NFTs returned in the response. Defaults to 100.tokenUriTimeoutInMsintegerNo set timeout by default - When metadata is requested, this parameter is the timeout (in milliseconds) for the website hosting the metadata to respond. If you want to only access the cache and not live fetch any metadata for cache misses then set this value to 0.Response 200Updated almost 4 years ago Did this page help you?YesNo